/**
 * Covered by MIT license, see the file 'LICENSE' for details
 *
 */
#ifndef _PSENSOR_PSENSOR_H_
#define _PSENSOR_PSENSOR_H_

#include <sensors/sensors.h>

// number of stored temperature
#define MAX_TEMPS 600

struct psensor {
	char *name;
	char *chip_name;

	const sensors_chip_name *iname;
	const sensors_feature *feature;

	double temps[MAX_TEMPS]; // index 0 for the oldest temperature
	
	int color[3];  // rgb 0|1

	int enabled;
};

int get_min_temp(struct psensor** sensors);
int get_max_temp(struct psensor** sensors);

void update_psensor(struct psensor* sensor);

struct psensor* create_sensor(const sensors_chip_name* chip,
			      const sensors_feature* feature);

void psensor_free(struct psensor* sensor);
void psensor_list_free(struct psensor** sensors);

struct psensor** get_all_sensors();

#endif
